## python-xmp-toolkit 1.0.2+dfsg

=== Makefile ===
# Copyright (c) 2008-2009, European Space Agency & European Southern Observatory (ESA/ESO)
# Copyright (c) 2008-2009, CRS4 - Centre for Advanced Studies, Research and Development in Sardinia
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
# 
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
# 
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
# 
#     * Neither the name of the European Space Agency, European Southern 
#       Observatory, CRS4 nor the names of its contributors may be used to endorse or 
#       promote products derived from this software without specific prior 
#       written permission.
# 
# THIS SOFTWARE IS PROVIDED BY ESA/ESO AND CRS4 ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL ESA/ESO BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE


.PHONY: all docs sdist runtests clean

all: docs sdist

docs: clean
	make -C docs_src/ html
#	make -C docs_src/ latex
#	make -C docs_src/.build/latex/ all-pdf
	mkdir docs/
	cp -Rf docs_src/.build/html docs/
#	cp docs_src/.build/latex/*.pdf docs/

sdist: docs clean
	python setup.py sdist

runtests: 
	env PYTHONPATH=.:$PYTHONPATH python test/test_all.py

clean:
	rm -f libxmp/*.pyc
	rm -rf docs_src/.build
	rm -rf dist
	rm -rf docs
	rm -f MANIFEST

=== debian/changelog ===
python-xmp-toolkit (1.0.2+dfsg-1) experimental; urgency=low

  * Initial release (closes: #657270).
  * Disable use of setuptools. (no-setuptools.diff)
  * Hardcode library name instead of using ctypes.util.find_library.
    (hardcode-library-name.diff)
  * Remove pre-built HTML documentation from the .orig tarball, as it contains
    some sourceless JavaScript code.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 26 Jan 2012 23:45:11 +0100

=== debian/control ===
Source: python-xmp-toolkit
Section: python
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7),
 python-all, python-support,
 libexempi3
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-xmp-toolkit/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-xmp-toolkit/trunk/
Homepage: http://code.google.com/p/python-xmp-toolkit/

Package: python-libxmp
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, libexempi3
Description: Python library for XMP metadata
 Python XMP Toolkit is a library for working with XMP metadata, as well as
 reading/writing XMP metadata stored in many different file formats.
 .
 XMP (Extensible Metadata Platform) facilitates embedding metadata in files
 using a subset of RDF. Most notably XMP supports embedding metadata in PDF and
 many image formats, though it is designed to support nearly any file type.

=== debian/rules ===
#!/usr/bin/make -f

here = $(dir $(firstword $(MAKEFILE_LIST)))/..
debian_version = $(word 2, $(shell cd $(here) && dpkg-parsechangelog | grep ^Version:))
upstream_dfsg_version = $(firstword $(subst -, ,$(debian_version)))

.PHONY: get-orig-source
get-orig-source:
	sh $(here)/debian/get-orig-source.sh $(upstream_dfsg_version)

.PHONY: clean
clean:
	dh_clean
	rm -rf build
	find -name '*.py[co]' -delete

.PHONY: build build-arch build-indep
build build-indep:
	dh_testdir
	set -ex; \
	for python in $(shell pyversions -r); do \
		$$python setup.py build; \
	done
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	-cd test && \
	set -ex; \
	for python in $(shell pyversions -r); do \
		$$python test_all.py; \
	done
endif

.PHONY: binary binary-arch binary-indep
binary binary-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	for python in $(shell pyversions -r); do \
		$$python setup.py install --prefix=/usr --root=debian/python-libxmp/; \
	done
	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/python-libxmp/usr/lib/python2.*/*-packages/*.egg-info
	dh_installdocs AUTHORS README docs_src/using.rst
	dh_installchangelogs
	dh_pysupport
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# vim:ts=4 sw=4 noet

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://code.google.com/p/python-xmp-toolkit/downloads/list .*/files/python-xmp-toolkit-([0-9.]+)\.tar\.gz

## python-xmp-toolkit 2.0.1~git20140309.5437b0a

=== debian/changelog ===
python-xmp-toolkit (2.0.1~git20140309.5437b0a-1) unstable; urgency=low

  * Uploaded to unstable.
  * New upstream revision: updated hardcode-library-name.diff, removed
    fix-deprecated-unittest-methods.diff (applied upstream).
  * Changed to build with setuptools:
    + Removed patches/no-setuptools.diff, added b-ds on python(3)-setuptools.
  * deb/control:
    + Change of maintainer (Closes: #708545).
    + Bumped debhelper level to 9 (also in debian/compat).
    + B-ds: dropped python-support, added python3-all, python(3)-tz,
      python(3)-mock (needed by test suite), and dh-python.
    + Bumped standards to 3.9.5 (no changes needed).
    + Changed Homepage URL (Google Code became obsolete).
    + Added X-Python(3)-Versions.
  * deb/copyright:
    + Updated Format URI [ Jakub Wilk ].
    + Straightened, removed trailing commas, updated.
  * deb/rules:
    + Added DH_VERBOSE, DEB_BUILD_OPTIONS and PYBUILD_NAME export lines.
    + Reduced to build with dh sequencer.
  * deb/watch: changed from Google Code (obsolete) to Pypi.
  * Upstream ships with Sphinx documentation:
    + Removed deb/get-orig.source.sh (to create dfsg is not needed anymore).
    + deb/control: added b-d for python-sphinx, and doc package description.
    + deb/rules: overrides for building docs, removal of docs/_build,
      and dh_sphinxdoc.
    + Added deb/python-libxmp-doc.docs and deb/python-libxmp-doc.doc-base.
  * Added python(3)-libxmp.docs for inclusion of README.rst.
  * Wrapped and sorted.

 -- Daniel Stender <debian@danielstender.com>  Fri, 29 Aug 2014 16:09:17 +0200

=== debian/control ===
Source: python-xmp-toolkit
Section: python
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 libexempi3 (>= 2.2.0),
 python-all,
 python-mock,
 python-setuptools,
 python-sphinx,
 python-tz,
 python3-all,
 python3-mock,
 python3-setuptools,
 python3-tz
Standards-Version: 3.9.5
Homepage: http://python-xmp-toolkit.readthedocs.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-xmp-toolkit/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-xmp-toolkit/trunk/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-libxmp
Architecture: all
Depends:
 libexempi3,
 ${misc:Depends},
 ${python:Depends}
Description: Python library for XMP metadata
 Python XMP Toolkit is a library for working with XMP metadata, as well as
 reading/writing XMP metadata stored in many different file formats.
 .
 XMP (Extensible Metadata Platform) facilitates embedding metadata in files
 using a subset of RDF. Most notably XMP supports embedding metadata in PDF and
 many image formats, though it is designed to support nearly any file type.
 .
 This package provides Python bindings.

Package: python3-libxmp
Architecture: all
Depends:
 libexempi3,
 ${misc:Depends},
 ${python3:Depends}
Description: Python3 library for XMP metadata
 Python XMP Toolkit is a library for working with XMP metadata, as well as
 reading/writing XMP metadata stored in many different file formats.
 .
 XMP (Extensible Metadata Platform) facilitates embedding metadata in files
 using a subset of RDF. Most notably XMP supports embedding metadata in PDF and
 many image formats, though it is designed to support nearly any file type.
 .
 This package provides Python3 bindings.

Package: python-libxmp-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python-libxmp,
 python3-libxmp
Description: Python library for XMP metadata - documentation
 Python XMP Toolkit is a library for working with XMP metadata, as well as
 reading/writing XMP metadata stored in many different file formats.
 .
 XMP (Extensible Metadata Platform) facilitates embedding metadata in files
 using a subset of RDF. Most notably XMP supports embedding metadata in PDF and
 many image formats, though it is designed to support nearly any file type.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=libxmp

%:
	dh $@  --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf docs/_build
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	python setup.py build_sphinx

override_dh_installdocs:
	dh_installdocs
	dh_sphinxdoc

# vim:ts=4 sw=4 noet

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/python-xmp-toolkit/python-xmp-toolkit-([0-9.]+).tar.gz

## python-xmp-toolkit 2.0.1%2Bgit20140309.5437b0a

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: python-xmp-toolkit
 Section: python
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
-Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -17,10 +15,10 @@
  python3-mock,
  python3-setuptools,
  python3-tz
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://python-xmp-toolkit.readthedocs.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-xmp-toolkit/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-xmp-toolkit/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-xmp-toolkit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-xmp-toolkit.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 
@@ -30,6 +28,8 @@
  libexempi3,
  ${misc:Depends},
  ${python:Depends}
+Suggests:
+ python-libxmp-doc
 Description: Python library for XMP metadata
  Python XMP Toolkit is a library for working with XMP metadata, as well as
  reading/writing XMP metadata stored in many different file formats.
@@ -46,6 +46,8 @@
  libexempi3,
  ${misc:Depends},
  ${python3:Depends}
+Suggests:
+ python-libxmp-doc
 Description: Python3 library for XMP metadata
  Python XMP Toolkit is a library for working with XMP metadata, as well as
  reading/writing XMP metadata stored in many different file formats.

## python-xmp-toolkit 2.0.1+git20140309.5437b0a

=== debian/changelog ===
python-xmp-toolkit (2.0.1+git20140309.5437b0a-1) unstable; urgency=medium

  * Changed package versioning scheme to keep correct order.
  * deb/control:
    + bumped standards to 3.9.6 (no changes needed).
    + updated Vcs fields (moved to Git).
    + added Suggests on docs package to module packages.
  * deb/copyright:
    + removed unused file paragraph (refered to build time files).
    + updated.
  * deb/rules:
    + improved sphinxdoc build (dropped deb/python-libxmp-doc.docs).
    + contribute README.rst directly through dh_installdocs (dropped
      deb/python{,3}-libxmp.docs).
    + removed Vim setup line.
  * deb/watch: watch pypi.debian.net.
  * Added DEP-8 test suite.
  * Added deb/gbp.conf, docs-no-updated-timestamp.patch (Closes: #782337).

 -- Daniel Stender <debian@danielstender.com>  Fri, 01 May 2015 21:29:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: python-xmp-toolkit
 Section: python
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Daniel Stender <debian@danielstender.com>
+Uploaders:
+ Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -15,12 +17,13 @@
  python3-mock,
  python3-setuptools,
  python3-tz
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://python-xmp-toolkit.readthedocs.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-xmp-toolkit.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-xmp-toolkit.git
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-xmp-toolkit.git
+Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-xmp-toolkit.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
+Testsuite: autopkgtest
 
 Package: python-libxmp
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=libxmp

%:
	dh $@  --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ debian/python-libxmp-doc/usr/share/doc/python-libxmp-doc/html/
endif

override_dh_installdocs:
	dh_installdocs -A README.rst

=== debian/tests/control ===
Tests: python-libxmp
Depends: python-libxmp, python-setuptools, python-mock

Tests: python3-libxmp
Depends: python3-libxmp, python3-setuptools, python3-mock

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/python-xmp-toolkit/ \
python-xmp-toolkit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-xmp-toolkit 2.0.1+git20170629.5692bdf

=== debian/changelog ===
python-xmp-toolkit (2.0.1+git20170629.5692bdf-1~nd20.04+1) focal; urgency=medium

  * Backported for focal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 02 Feb 2023 17:03:19 -0500

python-xmp-toolkit (2.0.1+git20170629.5692bdf-1) unstable; urgency=medium

  * New upstream version 2.0.1+git20170629.5692bdf
  * Modernize package:
    + Bump d/compat to 10 (we still need it
      for buster).
    + Update dcontrol, d/rules and d/tests to
      build only python3 packages.
    + Add BlueSquare.gif from recent exempi test suite.
    + Add upstream metadata
    + Drop patches merged upstream
    + Replace http with https
    + Move to arch:all

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 26 Jan 2023 18:13:07 +0000

python-xmp-toolkit (2.0.1+git20140309.5437b0a-4) unstable; urgency=medium

  * add test_exempi-fix-for-exempi-2.4.0.patch (Closes: #851014).

 -- Daniel Stender <stender@debian.org>  Sun, 22 Jan 2017 18:29:57 +0100

python-xmp-toolkit (2.0.1+git20140309.5437b0a-3) unstable; urgency=medium

  * deb/control:
    + updated uploader email address.
    + bumped standards to 3.9.8 (no changes needed).
  * Added disable-html-style.patch (Closes: #815305).

 -- Daniel Stender <stender@debian.org>  Sat, 25 Jun 2016 13:53:19 +0200

python-xmp-toolkit (2.0.1+git20140309.5437b0a-2) unstable; urgency=medium

  * Added fix-get_property_datetime-utc.patch.
  * deb/control:
    + put group into Maintainers field (group uploads w/o confirmation).
    + bumped Standards-Version to 3.9.7 (no changes needed).
    + use HTTPS also for Vcs-Git.
    + removed deprecated Testsuite field.
  * deb/copyright: expanded copyright span for debian/*.
  * deb/rules: removed check if nodocs is set in DEB_BUILD_OPTIONS (obsolete).

 -- Daniel Stender <debian@danielstender.com>  Sat, 20 Feb 2016 16:46:45 +0100

=== debian/control ===
Source: python-xmp-toolkit
Priority: optional
Section: python
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Daniel Stender <stender@debian.org>,
 Yaroslav Halchenko <debian@oneukrainian.com>,
 Vasyl Gello <vasek.gello@gmail.com>
Build-Depends:
# Build
 debhelper (>= 10),
 dh-python,
 dh-sequence-python3,
 libexempi-dev (>= 2.2.0~),
 python3-all,
 python3-setuptools,
 python3-tz,
# Testing
 python3-coverage <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
# Docs
 dh-sequence-sphinxdoc,
 python3-sphinx
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xmp-toolkit
Vcs-Git: https://salsa.debian.org/python-team/packages/python-xmp-toolkit.git -b debian/sid
Homepage: https://python-xmp-toolkit.readthedocs.org/

Package: python3-libxmp
Architecture: all
Depends: neurodebian-popularity-contest, 
 python3-tz,
 ${misc:Depends},
 ${python3:Depends}
Suggests:
 python-libxmp-doc
Description: Python3 library for XMP metadata
 Python XMP Toolkit is a library for working with XMP metadata, as well as
 reading/writing XMP metadata stored in many different file formats.
 .
 XMP (Extensible Metadata Platform) facilitates embedding metadata in files
 using a subset of RDF. Most notably XMP supports embedding metadata in PDF and
 many image formats, though it is designed to support nearly any file type.
 .
 This package provides Python3 bindings.

Package: python3-libxmp-doc
Section: doc
Architecture: all
Depends: neurodebian-popularity-contest, 
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python3-libxmp
Description: Python library for XMP metadata - documentation
 Python XMP Toolkit is a library for working with XMP metadata, as well as
 reading/writing XMP metadata stored in many different file formats.
 .
 XMP (Extensible Metadata Platform) facilitates embedding metadata in files
 using a subset of RDF. Most notably XMP supports embedding metadata in PDF and
 many image formats, though it is designed to support nearly any file type.
 .
 This package contains the documentation.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-xmp-toolkit/ \
python-xmp-toolkit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
